package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 消费类型
 * @Author: sui q
 * @Time: 2023/3/24 9:47
 * @Classname: EConsumeType
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EConsumeType {
    /**
     * 1=订单
     */
    ORDER(1, "订单", 0, EnumsPrefixConstants.CON_TYPE + "1"),

    /**
     * 2=提现
     */
    WITHDRAWAL(2, "提现", 0, EnumsPrefixConstants.CON_TYPE + "2"),

    /**
     * 3=充值
     */
    RECHARGE(3, "充值", 0, EnumsPrefixConstants.CON_TYPE + "3"),

    /**
     * 4=转账
     */
    TRANSFER(4, "转账", 0, EnumsPrefixConstants.CON_TYPE + "4"),
    /**
     * 1=撤销订单回退
     */
    BACK_ORDER(5, "撤销订单", 0, EnumsPrefixConstants.CON_TYPE + "1"),

    /**
     * 2=提现回退
     */
    BACK_WITHDRAWAL(6, "撤销提现", 0, EnumsPrefixConstants.CON_TYPE + "2"),

    /**
     * 3=充值回退
     */
    BACK_RECHARGE(7, "撤销充值", 0, EnumsPrefixConstants.CON_TYPE + "3"),

    /**
     * 4=转账回退
     */
    BACK_TRANSFER(8, "撤销转账", 0, EnumsPrefixConstants.CON_TYPE + "4")
    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;
}
